跳转到主要内容
GET
/
open
/
institution
/
v1
/
order
/
list
查询订阅订单列表
curl --request GET \
  --url https://openplatform.gateapi.io/pay-subscription/open/institution/v1/order/list \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "code": "0",
  "message": "",
  "data": {
    "records": [
      {
        "subscriptionOrderNo": "2037430636859437083",
        "merchantSubscriptionOrderNo": "central-1",
        "subscriptionLink": "https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=2037430636859437083",
        "planNo": "2037430636851048458",
        "planName": "test_central",
        "planDesc": "测试 中心化支付",
        "merchantId": "10002",
        "productNo": "4",
        "productName": "ai免密支付",
        "priceNo": "9",
        "priceName": "代扣",
        "cryptoCurrency": "USDT",
        "chain": "",
        "userAddress": "",
        "cryptoAmount": null,
        "paidCount": 0,
        "totalPaidAmount": "0",
        "period": "NONE",
        "interval": 1,
        "totalPayCount": 0,
        "trialDays": 0,
        "endTime": 0,
        "lastPayTime": 0,
        "promoAmount": "0",
        "promoRate": "0",
        "callbackUrl": "https://gate.com",
        "orderStatus": "CANCELLED",
        "createTime": 1774599056574,
        "updateTime": 1774656660000
      }
    ],
    "total": 78
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /open/institution/v1/order/list 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

查询参数

merchantPlanNo
string

商户订阅计划编号(与planNo任选一个,或都不传)

planNo
string

平台订阅计划编号(与merchantPlanNo任选一个,或都不传)

userAddress
string

用户授权地址

orderStatus
string

订阅状态筛选

startTime
integer<int64>

创建开始时间,毫秒时间戳

endTime
integer<int64>

创建结束时间,毫秒时间戳,最长1年

page
string
必填

页码,从0开始(必填)

Pattern: ^[0-9]+$
示例:

"1"

count
string
必填

每页数量,最大100(必填)

Pattern: ^[0-9]+$
示例:

"10"

响应

200 - application/json

查询订阅订单列表成功

code
string

响应码,0 表示成功

示例:

"0"

message
string

响应描述,成功时为空

示例:

""

success
boolean

请求是否成功

示例:

true

data
object